@import url('https://fonts.googleapis.com/css2?family=Urbanist:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,400;1,500;1,600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Ms+Madi&family=Urbanist:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,400;1,500;1,600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Ms+Madi&family=Urbanist:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,400;1,500;1,600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Syne:wght@400;500;600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Workbench&display=swap');

@font-face {
    font-family: 'xspace';
    src: url('.\fonts\xspace\ttf\fonts/xspace/ttf/xspace-xspace-400.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
  }

  :root {
    --clr-one: rgb(64, 0, 255);
    --clr-two: rgb(127, 255, 0);
    --clr-three: rgb(255, 0, 0);
    --clr-bg: #1d1e22;
  }
  

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Urbanist', sans-serif;
  text-decoration: none;
  font-style: none;
  scroll-behavior: smooth;
}

body {
  background-color: #161515;
  color: aliceblue;
}

/* Universal */

/* Media Player */
.navbar {
  width: 100%;
  z-index: 999;
}

.nav-container {
  display: flex;
  margin: 30px 0 0 -10px;
  justify-content: space-between;
  align-items: center;
  height: 62px;
  z-index: 9999;
}

.navbar .menu-items {
  display: flex;
}

.navbar .nav-container li {
  list-style: none;
}

.navbar .nav-container a {
  text-decoration: none;
  color: #ffffff;
  font-weight: 500;
  font-size: 1.2rem;
  padding: 0.7rem;
}

.navbar .nav-container a:hover{
    font-weight: bolder;
}

.nav-container {
  display: block;
  z-index: 9999;
  background-color: #00000000;
  position: relative;
  height: 60px;
}

.nav-container .checkbox {
  position: absolute;
  display: block;
  height: 72px;
  width: 72px;
  top: 20px;
  left: 20px;
  z-index: 5;
  opacity: 0;
  cursor: pointer;
}

.nav-container .hamburger-lines.active {
  top: 20px;
  left: 50px; /* ou qualquer valor desejado para o movimento para a direita */
  transition: all 1s;
}

.nav-container .hamburger-lines {
  display: block;
  height: 26px;
  width: 32px;
  position: absolute;
  top: 17px;
  left: 20px;
  z-index: 2;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.nav-container .hamburger-lines .line {
  display: block;
  height: 4px;
  width: 100%;
  border-radius: 10px;
  background: #ffffff;
}

.nav-container .hamburger-lines .line1 {
  transform-origin: 0% 0%;
  transition: transform 0.4s ease-in-out;
}

.nav-container .hamburger-lines .line2 {
  transition: transform 0.2s ease-in-out;
}

.nav-container .hamburger-lines .line3 {
  transform-origin: 0% 100%;
  transition: transform 0.4s ease-in-out;
}

.navbar .menu-items {
  padding-top: 120px;
  background-color: #000000a0;
  backdrop-filter: blur(50px);
  height: 70vh;
  width: 100%;
  border-radius: 20px;
  transform: translateY(-150%);
  display: flex;
  flex-direction: column;
  margin: 0px auto;
  z-index: 9999;
  transition: transform 0.8s ease-in-out;
  text-align: center;
}

@media screen and (max-width: 768px) {
  .navbar .menu-items {
    padding-top: 120px;
    background-color: #000000a0;
    backdrop-filter: blur(50px);
    height: 70vh;
    width: calc(100% - 20px); /* Subtraindo 20px para o padding lateral */
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 20px;
    z-index: 9999;
    transition: transform 0.8s ease-in-out;
    text-align: center;
  }
}

.navbar .menu-items li {
  cursor: pointer;
  margin-bottom: 1.2rem;
  font-size: 1.5rem;
  font-weight: 500;
}

.logo {
  position: absolute;
  top: 5px;
  font-family: 'Dancing Script', cursive;
  right: 15px;
  font-size: 1.2rem;
  color: #0e2431;
}

.logo h1 {
  font-family: 'Dancing Script', cursive;
}

.nav-container input[type="checkbox"]:checked ~ .menu-items {
  transform: translateX(0);
}

.nav-container input[type="checkbox"]:checked ~ .hamburger-lines .line1 {
  transform: rotate(45deg);
}

.nav-container input[type="checkbox"]:checked ~ .hamburger-lines .line2 {
  transform: scaleY(0);
}

.nav-container input[type="checkbox"]:checked ~ .hamburger-lines .line3 {
  transform: rotate(-45deg);
}

.nav-container input[type="checkbox"]:checked ~ .logo{
  display: none;
}


/* Media Player */

h1, h5 {
  color: #ffff;
  font-family: 'Syne', sans-serif;
}

.header h2 {
  font-family: "Dancing Script", cursive;
}


.container {
  width: 95%;
  margin: 0 auto;
}
.containerfirst {
  width: 100%;
}

/* Universal */

/* Social */
.social{ 
  cursor: pointer;
  position: absolute;
  transition: opacity 0.4s ease-in-out;
}
  .social.hidden {
  opacity: 0;
  pointer-events: none; 
}
  .social-nav{
  position: absolute;
  top: 30%;
  height: 100%;
}

  .social-nav li{
  width: 20%;
  cursor: pointer;
  padding: 15px 20px;
  border-image: linear-gradient(to bottom, #2b2b2bf3, #252525) 1;
  transition:.4s ease-in-out;
  
}

  .social-nav li:hover{
  border-left: 20px solid;
}

  .social-nav li a i{
  font-size:27px;
}

  .social-nav li.twitter{
  border-left: 5px solid #262626;
}
  .social-nav li.twitter:hover{
  border-left: 20px solid #262626 ;
}

  .social-nav li.email{
  border-left: 5px solid #262626;
}
  .social-nav li.email:hover{
  border-left: 20px solid #262626;
}

  .social-nav li.linked{
  border-left: 5px solid #262626;
}
  .social-nav li.linked:hover{
  border-left: 20px solid #262626;
}

  .social-nav li.github{
  border-left: 5px solid #262626;
}
  .social-nav li.github:hover{
  border-left: 20px solid #262626;
}

  .social-nav li.discord{
  border-left: 5px solid #262626;
}
  .social-nav li.discord:hover{
  border-left: 20px solid #262626;
}

  .social-nav li a i.fa-square-x-twitter{
  color: #ffffff;
}

  .social-nav li a i.fa-envelope{
  color:#ffffff;
}

  .social-nav li a i.fa-square-github{
  color:#ffffff;
}
  .social-nav li a i.fa-linkedin{
  color: #ffffff;
}
  .social-nav li a i.fa-discord{
  color:#ffffff;
}

/* Social */

.section1 {
  height: 100vh;
  width: 100%;
}

.mobilelogo {
  font-size: 35px;
  color: #ffffff;
  letter-spacing: 1px;
}

.transition {
  position: absolute;
  z-index: 2;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
  pointer-events: none;
  background-color: #fff;
  -webkit-transform: scaleY(0);
}

  .section1 .one .text-content .head .foco {
    font-size: 35px;
    margin-top: -200px;
    padding: 23px 4px 10px 1px;
    border-radius: 10px;
    border: 1px solid #ffffff;
    background-color: transparent;
    color: #fff;
    font-weight: 100;
    position: relative;
}

  .section1 .one .text-content .head .circle {
    font-size: 35px;
    top: 20px;
    left: 2px;
    position: absolute;
    background-color: transparent;
    color: #cbcaca;
    font-weight: 100;
}

  .section1 .one .text-content .head .foco::before {
    content: ''; 
    display: inline-block; 
    width: 100%; 
    height: 100%; 
    position: absolute; 
    top: 100px;
    left: 0;
    background-color: transparent; 
    z-index: -1; 
}

  .section1 .one .text-content .head .focoDisplay {
    font-size: 55px;
    padding: 0px;
    margin: 0px 0px 0px 15px;
    border-top-left-radius: 1px;
    border-top-right-radius: 7px;
    border-bottom-left-radius: 1px;
    border-bottom-right-radius: 7px;
    border: 1px solid #8f76f3;
    background-color: #8f76f3;
    color: #fff;
    font-weight: bold;
}

/* button css */
.containerbtn {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    flex-wrap: wrap;
  }
  
  .buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    letter-spacing: 3px;
  }
  
  .neon-button {
    font-size: 1rem;
    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    padding: 0.5em 1em;
    margin: 2rem;
    border-radius: 0.25em;
    position: relative;
    animation: colorChange 5s infinite;
  }
  
  .neon-button__1 {
    color: var(--clr-one);
  }
  
  .neon-button__3 {
    color: var(--clr-three);
  }
  
  @keyframes colorChange {
    0% {
      color: rgb(145, 145, 255);
    }
    33% {
      color: var(--clr-two);
    }
    66% {
      color: rgb(145, 145, 255);
    }
    100% {
      color: var(--clr-animate);
    }
  }
  
  .neon-button::before {
    content: "";
    position: absolute;
    top: 120%;
    left: 0;
    width: 100%;
    height: 100%;
    transform: perspective(1.5em) rotateX(45deg) scale(0.8, 0.3);
    filter: blur(1.5em);
    opacity: 0.7;
    pointer-events: none;
  }
  
  .neon-button.active::before {
    animation: scalingShadow 0.5s ease-in-out;
  }
  
  @keyframes scalingShadow {
    0% {
      top: 120%;
      transform: perspective(1.5em) rotateX(45deg) scale(0.8, 0.3);
    }
    50% {
      top: 165%;
      transform: perspective(1.5em) rotateX(45deg) scale(0.75, 0.3);
    }
    100% {
      top: 120%;
      transform: perspective(1.5em) rotateX(45deg) scale(0.8, 0.3);
    }
  }
  
  .neon-button__1::before {
    background: var(--clr-one);
  }
  
  .neon-button__2::before {
    background: var(--clr-two);
  }
  
  .neon-button__3::before {
    background: var(--clr-three);
  }
  
  .neon-button::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    opacity: 0;
    z-index: -1;
    transition: opacity 100ms linear;
  }
  
  .neon-button__1::after {
    box-shadow: 0 0 2em 0.5em var(--clr-one);
    background-color: var(--clr-one);
  }
  
  .neon-button__3::after {
    box-shadow: 0 0 2em 0.5em var(--clr-three);
    background-color: var(--clr-three);
  }
  
  .neon-button:hover::before,
  .neon-button:focus::before {
    opacity: 1;
  }
  
  .neon-button:hover::after,
  .neon-button:focus::after {
    opacity: 1;
  }
  
  .neon-button:hover,
  .neon-button:focus {
    outline: none;
    color: var(--clr-bg);
    text-shadow: none;
  }
  
  .activebtn {
    animation: animate 0.5s ease-in-out;
  }
  
  @keyframes animate {
    0% {
      transform: translateY(0%);
    }
    50% {
      transform: translateY(-40%);
    }
    100% {
      transform: translateY(0%);
    }
  }
/* button css */

/* Gradient bg */


/* Gradient bg */

.section1 .one .header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #ffff;
    padding: 20px 10px;
    z-index: 10;
}

.section1 .one .header i {
    font-size: 20px;
    cursor: pointer;
}

.section1 video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    object-fit: cover;
    z-index: -1;
}

.section1 .one .text-content {
    height: 70vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #ffff;
}

.section1 .one .text-content .head h1 {
    font-size: 55px;
    font-family: 'Syne', sans-serif;
    font-weight: 600;
    line-height: 55px;
    letter-spacing: 1px;
}
.section1 .one .text-content .head span {
    color: #8f76f3;
    font-size: 35px;
    font-weight: 200;
}
.section1 .one .text-content .head p {
    color: #8f76f3;
    margin-top: 20px;
    font-size: 15px;
    font-weight: 500;
}
.verMais a {
    font-size: 25px;
    position: absolute;
    background-color: transparent;
    color: #fff;
    border: none;
    bottom: 50px; 
    left: 48%;
    transform: translateX(-50%);
}
/* Cursor animate */
.cursor {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    border: 1px solid#ffffff2f;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #ffffff00;
    z-index: 80;
    display: flex;
    align-items: center;
    justify-content: center;
}
/* Cursor animate */

/* section 2 */
.section2 {
    position: relative;
    width: 100%;
    background-color: #000000;
    height: auto;
    margin: 7px 0 0 0;
    cursor: pointer;
}

.actionsbtn {
  display: flex;
  justify-content: space-between; /* Para posicionar os botões um ao lado do outro */
  align-items: center; /* Para centralizar verticalmente o conteúdo */
  position: absolute;
  width: 170px;
  top: 80%;
  left: 20px;
  height: 70px; /* Ajuste da altura para acomodar os botões */
  background-color: #f376f300;
  padding: 0 10px; /* Adiciona preenchimento nos lados */
}

.tospeechbtn,
.stopspeechbtn {
  cursor: pointer;
  border-radius: 50%;
  border: 3px solid transparent; /* Adiciona borda transparente */
  width: 70px; /* Reduz o tamanho para acomodar as bordas */
  height: 70px; /* Reduz o tamanho para acomodar as bordas */
  display: flex;
  flex-direction: column; /* Para colocar o ícone acima do texto */
  align-items: center; /* Para centralizar horizontalmente o conteúdo */
  justify-content: center; /* Para centralizar verticalmente o conteúdo */
  background-color: #00000068;
  backdrop-filter: blur(10px);
  color: #ffff;
}

.tospeechbtn i,
.stopspeechbtn i {
  margin-bottom: 5px; /* Espaçamento entre o ícone e o texto */
}

.tospeechbtn:active,
.stopspeechbtn:active,
.tospeechbtn.active,
.stopspeechbtn.active {
    background-color: #0f0f0f;
    padding: 10px 10px;
    color: rgb(255, 255, 255); /* Altera a cor do ícone para azul quando clicado */
    border-color: #55aaff; /* Adiciona borda branca quando clicado */
}

.redirectbio {
  padding: 10px 10px;
  background-color: #00000000;
  color: #ffff;
  z-index: 9990;
  font-weight: bold;
  border-radius: 30px;
  position: absolute;
  left: 85%; /* Posiciona o elemento no meio horizontal */
  top: 85%; /* Posiciona o elemento no meio vertical */
  transform: translate(-50%, -50%); /* Move o elemento de volta metade de sua largura e altura para centralizá-lo */
}

.text-overlay {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: left;
    color: #fff; /* Cor do texto */
    font-size: 20px; /* Tamanho da fonte */
    font-family: "Workbench", sans-serif;
}

.section2 video {
    width: 100%;
    height: 100%;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.3);
    object-fit: cover;
}

/* section 2 */

/* section 3 */
.section3 {
    min-height: 100vh;
    width: 100%;
    margin-bottom: 100px;
    padding: 20px 0px 0 100px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.section3 .left,
.section3 .right {
    width: 100%;
    height: 100%;
}

.section3 .left video {
    width: 40%;
    height: 40%;
}

.section3 .right h1 {
    margin: 30px 50px;
    font-size: 25px;
    font-weight: 600;
    font-family: 'Syne', sans-serif;
    
}
.section3 .right h5 {
    margin: 30px 50px;
    font-size: 30px;
    font-style: italic;
    font-family: 'Ms Madi', cursive;
    font-weight: 100;
    
}

/* section 3 */

/* section 4 */
.section4 {
    min-height: 100vh;
    height: 100%;
    padding: 20px 0;
    overflow: hidden;  
    align-items: center; 
}

/* section 4 */

/* Projects */

.section4 .four .projects {
    overflow-y: scroll;
    position: relative;
    height: 100vh;
    width: 100%;
    z-index: 10;
    overflow: hidden;
    transition: height 0.5s ease;
}

.section4 .four .projects .bg {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    z-index: -1;
}
.section4 .four .projects .bg::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.section4 .four .projects .bg video {
    width: 100%;
    height: 100vh;
    object-fit: cover;
    position: relative;
}

.section4 .four .projects .first .about {
    display: flex;
    justify-content: center;
    margin-top: 15px;
}

.section4 .four .projects .first-project .first {
    overflow: hidden;
    cursor: pointer;
    width: calc(100% / 3 - 20px); /* Ajuste o valor conforme necessário */
    /* Reduzi o valor do margin */
    padding: 10px;
    border-radius: 15px;
    border: 1px solid #8f76f3;
    background-color: #00000021;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.section4 .four .projects .first .about h4 {
    margin: 0;
    padding: 1px;
    border: 1px solid #edecec;
    border-radius: 20px;
    opacity: 1;
    transition: all ease 0.5s;
}
.first span {
    font-weight: 100;
    color: #8f76f3;
}


.section4 .four .projects .first:hover .about h4 {
    opacity: 0.8;
    transform: translateY(-5px);
}

.section4 .four .projects .first {
    width: 80%;
    margin: 100px auto;
    padding: 20px;
    border-radius: 15px;
    border: 2px solid #8f76f3;
    background-color: rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.section4 .four .projects .first h1 {
    font-size: 24px;
    margin-bottom: 10px;
    color: #ffffff;
}

.section4 .four .projects .first-project {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
}

.section4 .four .projects .first-project .first {
  width: 100%;
  padding: 10px;
  border-radius: 15px;
  border: 1px solid #8f76f3;
  background-color: #00000021;
  display: flex;
  align-items: center;
  justify-content: center;
}

.section4 .four .projects .first-project .first:hover {
    border: none;
    backdrop-filter: blur(10px);
    background-color: #9e8aee9f;
}

.section4 .four .projects .first-project .first .about {
    display: flex;
}

.section4 .four .projects .first-project .first .about h4 {
    margin: 0 3px;
    border: 1px solid #8f76f3;
    padding: 7px 10px;
    border-radius: 30px;
    opacity: 1;
    transform: translateY(-10px);
    transition: all ease 1s;
}

.section4 .four .projects .first-project .first:hover h4 {
    opacity: 9;
    transform: translateY(-5px);
}

.transition-div {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url(./image/w1.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  z-index: 9999;
}

@media screen and (max-width: 768px) {
  .transition-div {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(./image/w2.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 9999;
  }
}

/* Projects */

/* section5 */
.section5 {
    height: 100vh;
    width: 100%;
    padding: 20px 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.section5 .five {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 30px;
}

.section5 .five .left,
.section5 .five .right {
    height: 100%;
    width: 100%;
    text-align: center;
    font-size: 40px;
}

.section5 .five .right video {
    height: 100%;
    width: 100%;
}

.section5 .five .left .one {
    overflow: hidden;
    text-align: center;
    margin: 50px 0;
}

.section5 .five .left h1 {
    font-size: 10px;
    text-align: center;
}
/* section5 */

.section6 {
    min-height: 50vh;
    width: 100%;
    overflow: hidden; /* Adicionado para evitar rolagem horizontal */
    display: flex;
    justify-content: center;
    background-color: #3498db;
}

.section6 .six .left {
    display: flex;
}

.section6 .six .move {
    white-space: nowrap;
    animation: scrolling linear 25s infinite; /* Mantido o 'infinite' */
    margin-right: 30px; /* Adicionado espaçamento entre os textos */
}

.section6 .six .move h1 {
    font-size: 25px;
    text-transform: uppercase;
    font-weight: bold;
    color: yellow;
    margin-bottom: 10px;
}

.section6 .six .move span {
    color: rgba(255, 255, 255, 0); /* Cor do texto */
    text-shadow: 
          -1px -1px 0 #3498db,  
           1px -1px 0 #77acf7,
          -1px  1px 0 #fefefe,
           1px  1px 0 #ffffff; /* Valores de sombra para criar o contorno */
  }


.section6 .six .move i {
    font-size: 50px;
    color: #ffffff;
}

@keyframes scrolling {
    0% {
        transform: translateX(100%);
    }
    100% {
        transform: translateX(-100%);
    }
}

.d-social{
  cursor: pointer;
    min-width: 300px;
    display: flex;
    flex-direction: row;
    margin-top: 90px;
    justify-content: center;
  }
  .a-social{
    cursor: pointer;
    font-size: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100px;
    height: 100px;
    background-color: #eee;
    margin: 10px;
    border-radius: 30%;
    box-shadow: 0 5px 15px -5px rgba(0,0,0,.7);
    color: #3498db;
    overflow: hidden;
    position: relative;
  }
  .a-social svg{
    font-size: 50px;
    transition: 0.5s linear;
  }
  .a-social:hover svg{
    transform: scale(1.3);
    color: #eee;
  }
  .a-social::before{
    content: '';
    position: absolute;
    width: 120%;
    height: 120%;
    background: #3498db;
    transform: rotate(45deg);
    left: -110%;
    top: 90%;
  }
  .a-social:hover::before{
    animation: a-social-animation 0.7s 1;
    top: -10%;
    left: -10%;
  }
  @keyframes a-social-animation{
    0%{
      left: -110%;
      top: 90%;
    }
    50%{
      left: 10%;
      top: -30%;
    }
    100%{
      left: -10%;
      top: -10%;
    }
  }

  li {
    text-decoration: none;
    list-style: none;
  }

  .social-container {
    transition: all 0.3s ease; /* Adicione uma transição para um efeito suave */
}

  .break {
    flex-wrap: wrap; /* Quebra os botões para a próxima linha */
}

/* Mobile social media */

.social {
  position: relative;
  width: 45px;
  height: 45px;
  
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: 0.3s;
  border-radius: 10px;
}
.social .icon {
  width: 100%;
  height: 100%;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  background: transparent;
  color: white;
  z-index: 2;
  border: 1px solid hsla(0, 0%, 61%, 0.466);
  backdrop-filter: blur(4px);
  border-radius: 9px;
  transition: 0.3s;
 
}

.social .bg {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: linear-gradient(
      45deg,
      #f09433 0%,
      #e6683c 25%,
      #dc2743 50%,
      #cc2366 75%,
      #bc1888 100%
  );
  border-radius: 9px;
  pointer-events: none;
  transition: 0.3s;
}
.social:hover .bg {
  rotate: 35deg;
  transform-origin: bottom;
}
.social:hover .icon {
  background: hsla(0, 0%, 61%, 0.466);
}


/* Mobile social media */

@media screen and (max-width: 768px) {

  .section1 {
    flex-direction: row;
  }

  .section1 .one .text-content .head .foco {
    font-size: 20px;
    padding: 10px 4px 5px 1px;
}

  .section1 .one .text-content .head h1 {
    text-align: center;
    font-size: 17px;
    margin-bottom: -10px;
}

  .section1 .one .text-content .head .focoDisplay {
    font-size: 27px;
    padding: 0px;
    margin: 0px 0px 0px 12px;
    border-top-left-radius: 1px;
    border-top-right-radius: 7px;
    border-bottom-left-radius: 1px;
    border-bottom-right-radius: 7px;
    border: 1px solid #8f76f3;
    background-color: #8f76f3;
    color: #fff;
    font-weight: bold;
}

  .section1 .one .text-content .head .circle {
    font-size: 35px;
    top: 1px;
    left: 4px;
    position: absolute;
    background-color: transparent;
    color: #cbcaca;
    font-weight: 100;
}

  .section1 .one .text-content .head p {
    color: #8f76f3;
    margin-top: 40px;
}

  .text-overlay {
    position: absolute;
    top: 40%;
    width: 80%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: left;
    color: #fff; /* Cor do texto */
    font-size: 10px; /* Tamanho da fonte */
    font-family: "Workbench", sans-serif;
}

  .actionsbtn {
    display: flex;
    justify-content: space-between; /* Para posicionar os botões um ao lado do outro */
    align-items: center; /* Para centralizar verticalmente o conteúdo */
    position: absolute;
    width: 110px;
    top: 70%;
    left: 20px;
    height: 70px; /* Ajuste da altura para acomodar os botões */
    background-color: #f376f300;
    padding: 0 10px; /* Adiciona preenchimento nos lados */
  }

  .redirectbio {
    text-align: center; /* Alinha o texto ao centro */
    padding: 10px 20px; /* Aumenta um pouco o padding para melhor legibilidade */
    background-color: #00000000;
    color: #ffffff;
    font-size: 17px;
    font-weight: bold;
    border-radius: 30px;
    z-index: 9990;
    position: absolute;
    left: 65%; /* Posiciona o elemento no meio horizontal */
    top: 85%; /* Posiciona o elemento no meio vertical */
    transform: translate(-50%, -50%); /* Move o elemento de volta metade de sua largura e altura para centralizá-lo */
    white-space: nowrap; /* Impede a quebra de linha */
  }

  .section4 .four .projects .first-project {
    display: grid;
    margin: 0 auto;
    grid-template-columns: repeat(1, 1fr);
}


  .section4 .four .projects {
    position: relative;
    height: auto;
    width: 100%;
    z-index: 10;
    overflow: hidden;
  }

  .section4 .four .projects .bg {
    width: 100%;
    height: 100%;
  }

  .tospeechbtn,
  .stopspeechbtn {
    cursor: pointer;
    border-radius: 10px;
    font-size: 10px;
    border: 3px solid transparent; /* Adiciona borda transparente */
    width: 40px; /* Reduz o tamanho para acomodar as bordas */
    height: 40px; /* Reduz o tamanho para acomodar as bordas */
    display: flex;
    padding: 10px 10px;
    flex-direction: column; /* Para colocar o ícone acima do texto */
    align-items: center; /* Para centralizar horizontalmente o conteúdo */
    justify-content: center; /* Para centralizar verticalmente o conteúdo */
    background-color: #00000068;
    backdrop-filter: blur(10px);
    color: #ffff;
}

  .section3 .left {
    display: none;
}

  .section3 {
    min-height: 550px;
    height: 0;
    width: 100%;
    padding: 50px 0 0 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  /* Projects */

.section4 .four .projects {
  position: relative;
  height: 100vh;
  width: 100%;
  z-index: 10;
  overflow: hidden;
}

.section4 .four .projects .bg {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  z-index: -1;
}
.section4 .four .projects .bg::before {
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.section4 .four .projects .bg video {
  width: 100%;
  height: 100vh;
  object-fit: cover;
  position: relative;
}

.section4 .four .projects .first .about {
  display: flex;
  justify-content: center;
  margin-top: 15px;
}

.section4 .four .projects .first-project .first {
  width: calc(100% / 3 - 20px); /* Ajuste o valor conforme necessário */
  margin: 0px auto; /* Reduzi o valor do margin */
  padding: 10px;
  border-radius: 15px;
  border: 1px solid #8f76f3;
  background-color: #00000021;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.section4 .four .projects .first .about h4 {
  margin: 0;
  padding: 1px;
  font-size: 8px;
  border: 1px solid #edecec;
  border-radius: 20px;
  opacity: 1;
  transition: all ease 0.5s;
}
.first span {
  font-weight: 100;
  color: #8f76f3;
}


.section4 .four .projects .first:hover .about h4 {
  opacity: 0.8;
  transform: translateY(-5px);
}

.section4 .four .projects .first {
  width: 80%;
  margin: 100px auto;
  padding: 20px;
  border-radius: 15px;
  border: 2px solid #8f76f3;
  background-color: rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.section4 .four .projects .first h1 {
  font-size: 24px;
  margin-bottom: 10px;
  color: #ffffff;
}

.section4 .four .projects .first-project {
  display: block;
}

.section4 .four .projects .first-project .first {
  width: 80%;
  margin: 30px auto;
  padding: 10px;
  border-radius: 15px;
  border: 1px solid #8f76f3;
  background-color: #00000021;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.section4 .four .projects .first-project .first:hover {
  border: none;
  backdrop-filter: blur(10px);
  background-color: #9e8aee9f;
}

.section4 .four .projects .first-project .first .about {
  display: flex;
}

.section4 .four .projects .first-project .first .about h4 {
  margin: 0 5px;
  border: 1px solid #8f76f3;
  padding: 7px 10px;
  border-radius: 30px;
  opacity: 1;
  transform: translateY(-10px);
  transition: all ease 1s;
}

.section4 .four .projects .first-project .first:hover h4 {
  opacity: 9;
  transform: translateY(-5px);
}


/* Projects */

.a-social {
  width: 50px;
  height: 50px;
}

/* Social media mobile */
}

@media screen and (min-width: 300px) and (max-width: 360px) {
  
  .section1 {
    flex-direction: row;
  }

  .section1 .one .text-content .head .foco {
    font-size: 15px;
    padding: 10px 4px 5px 1px;
}

  .section1 .one .text-content .head h1 {
    text-align: center;
    font-size: 14px;
    margin-bottom: -10px;
}

  .section1 .one .text-content .head .focoDisplay {
    font-size: 21px;
    padding: 0px;
    margin: 0px 0px 0px 12px;
    border-top-left-radius: 1px;
    border-top-right-radius: 7px;
    border-bottom-left-radius: 1px;
    border-bottom-right-radius: 7px;
    border: 1px solid #8f76f3;
    background-color: #8f76f3;
    color: #fff;
    font-weight: bold;
}

  .section1 .one .text-content .head .circle {
    font-size: 20px;
    top: -5px;
    left: 4px;
    position: absolute;
    background-color: transparent;
    color: #cbcaca;
    font-weight: 100;
}

  .section1 .one .text-content .head p {
    color: #8f76f3;
    margin-top: 40px;
}

.section1 .one .text-content {
  height: 80vh;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: #ffff;
}

  .text-overlay {
    position: absolute;
    top: 40%;
    width: 80%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: left;
    color: #fff; /* Cor do texto */
    font-size: 10px; /* Tamanho da fonte */
    font-family: "Workbench", sans-serif;

  .actionsbtn {
    display: none;
  }

  .redirectbio {
    text-align: center; /* Alinha o texto ao centro */
    padding: 10px 20px; /* Aumenta um pouco o padding para melhor legibilidade */
    background-color: #00000000;
    color: #ffffff;
    font-size: 10px;
    font-weight: bold;
    border-radius: 30px;
    z-index: 9990;
    position: absolute;
    left: 65%; /* Posiciona o elemento no meio horizontal */
    top: 85%; /* Posiciona o elemento no meio vertical */
    transform: translate(-50%, -50%); /* Move o elemento de volta metade de sua largura e altura para centralizá-lo */
    white-space: nowrap; /* Impede a quebra de linha */
  }

  .section4 .four .projects .first-project {
    display: grid;
    margin: 0 auto;
    grid-template-columns: repeat(1, 1fr);
}

  .section4 .four .projects {
    position: relative;
    height: auto;
    width: 100%;
    z-index: 10;
    overflow: hidden;
  }

  .section4 .four .projects .bg {
    width: 100%;
    height: 100%;
  }

  .tospeechbtn,
  .stopspeechbtn {
    cursor: pointer;
    border-radius: 10px;
    font-size: 10px;
    border: 3px solid transparent; /* Adiciona borda transparente */
    width: 40px; /* Reduz o tamanho para acomodar as bordas */
    height: 40px; /* Reduz o tamanho para acomodar as bordas */
    display: flex;
    padding: 10px 10px;
    flex-direction: column; /* Para colocar o ícone acima do texto */
    align-items: center; /* Para centralizar horizontalmente o conteúdo */
    justify-content: center; /* Para centralizar verticalmente o conteúdo */
    background-color: #00000068;
    backdrop-filter: blur(10px);
    color: #ffff;
}

  .section3 .left {
    display: none;
}

  .section3 {
    min-height: 550px;
    height: 0;
    width: 100%;
    padding: 50px 0 0 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  /* Projects */

.section4 .four .projects {
  position: relative;
  height: 100vh;
  width: 100%;
  z-index: 10;
  overflow: hidden;
}

.section4 .four .projects .bg {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  z-index: -1;
}
.section4 .four .projects .bg::before {
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.section4 .four .projects .bg video {
  width: 100%;
  height: 100vh;
  object-fit: cover;
  position: relative;
}

.section4 .four .projects .first .about {
  display: flex;
  justify-content: center;
  margin-top: 15px;
}

.section4 .four .projects .first-project .first {
  width: calc(100% / 3 - 20px); /* Ajuste o valor conforme necessário */
  margin: 0px auto; /* Reduzi o valor do margin */
  padding: 10px;
  border-radius: 15px;
  border: 1px solid #8f76f3;
  background-color: #00000021;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.section4 .four .projects .first .about h4 {
  margin: 0;
  padding: 1px;
  font-size: 8px;
  border: 1px solid #edecec;
  border-radius: 20px;
  opacity: 1;
  transition: all ease 0.5s;
}
.first span {
  font-weight: 100;
  color: #8f76f3;
}


.section4 .four .projects .first:hover .about h4 {
  opacity: 0.8;
  transform: translateY(-5px);
}

.section4 .four .projects .first {
  width: 80%;
  margin: 100px auto;
  padding: 20px;
  border-radius: 15px;
  border: 2px solid #8f76f3;
  background-color: rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.section4 .four .projects .first h1 {
  font-size: 14px;
  margin-bottom: 10px;
  color: #ffffff;
}

.section4 .four .projects .first-project {
  display: block;
}

.section4 .four .projects .first-project .first {
  width: 80%;
  margin: 30px auto;
  padding: 10px;
  border-radius: 15px;
  border: 1px solid #8f76f3;
  background-color: #00000021;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.section4 .four .projects .first-project .first:hover {
  border: none;
  backdrop-filter: blur(10px);
  background-color: #9e8aee9f;
}

.section4 .four .projects .first-project .first .about {
  display: flex;
}

.section4 .four .projects .first-project .first .about h4 {
  margin: 0 5px;
  border: 1px solid #8f76f3;
  padding: 7px 10px;
  border-radius: 30px;
  opacity: 1;
  transform: translateY(-10px);
  transition: all ease 1s;
}

.section4 .four .projects .first-project .first:hover h4 {
  opacity: 9;
  transform: translateY(-5px);
}


/* Projects */

.a-social {
  width: 50px;
  height: 50px;
}

/* Social media mobile */
}

@media screen and (min-width: 769px) and (max-width: 910px) {
  
  .section1 {
    flex-direction: row;
  }

  .section1 .one .text-content .head .foco {
    font-size: 25px;
    padding: 13px 4px 5px 1px;
}

  .section1 .one .text-content .head h1 {
    text-align: center;
    font-size: 44px;
    margin-bottom: -10px;
}

  .section1 .one .text-content .head .focoDisplay {
    font-size: 35px;
    padding: 0px;
    margin: 0px 0px 0px 12px;
    border-top-left-radius: 1px;
    border-top-right-radius: 7px;
    border-bottom-left-radius: 1px;
    border-bottom-right-radius: 7px;
    border: 1px solid #8f76f3;
    background-color: #8f76f3;
    color: #fff;
    font-weight: bold;
}

  .section1 .one .text-content .head .circle {
    font-size: 20px;
    top: 0px;
    left: 4px;
    position: absolute;
    background-color: transparent;
    color: #cbcaca;
    font-weight: 100;
}

  .section1 .one .text-content .head p {
    color: #8f76f3;
    margin-top: 40px;
}

  .text-overlay {
    position: absolute;
    top: 40%;
    width: 80%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: left;
    color: #fff; /* Cor do texto */
    font-size: 10px; /* Tamanho da fonte */
    font-family: "Workbench", sans-serif;
}

  .actionsbtn {
    display: flex;
    justify-content: space-between; /* Para posicionar os botões um ao lado do outro */
    align-items: center; /* Para centralizar verticalmente o conteúdo */
    position: absolute;
    width: 110px;
    top: 70%;
    left: 10px;
    height: 70px; /* Ajuste da altura para acomodar os botões */
    background-color: #f376f300;
    padding: 0 10px; /* Adiciona preenchimento nos lados */
  }

  .redirectbio {
    text-align: center; /* Alinha o texto ao centro */
    padding: 10px 20px; /* Aumenta um pouco o padding para melhor legibilidade */
    background-color: #00000000;
    color: #ffffff;
    font-size: 20px;
    font-weight: bold;
    z-index: 9990;
    border-radius: 30px;
    position: absolute;
    left: 70%; /* Posiciona o elemento no meio horizontal */
    top: 85%; /* Posiciona o elemento no meio vertical */
    transform: translate(-50%, -50%); /* Move o elemento de volta metade de sua largura e altura para centralizá-lo */
    white-space: nowrap; /* Impede a quebra de linha */
  }

  .section4 .four .projects .first-project {
    display: grid;
    margin: 0 auto;
    grid-template-columns: repeat(1, 1fr);
}

  .section4 .four .projects {
    position: relative;
    height: auto;
    width: 100%;
    z-index: 10;
    overflow: hidden;
  }

  .section4 .four .projects .bg {
    width: 100%;
    height: 100%;
  }

  .tospeechbtn,
  .stopspeechbtn {
    cursor: pointer;
    border-radius: 10px;
    font-size: 10px;
    border: 3px solid transparent; /* Adiciona borda transparente */
    width: 40px; /* Reduz o tamanho para acomodar as bordas */
    height: 40px; /* Reduz o tamanho para acomodar as bordas */
    display: flex;
    padding: 10px 10px;
    flex-direction: column; /* Para colocar o ícone acima do texto */
    align-items: center; /* Para centralizar horizontalmente o conteúdo */
    justify-content: center; /* Para centralizar verticalmente o conteúdo */
    background-color: #00000068;
    backdrop-filter: blur(10px);
    color: #ffff;
}

  .section3 .left {
    display: none;
}

.section3 .right h1 {
  text-align: center;
  font-size: 40px;
  font-weight: 600;
  font-family: 'Syne', sans-serif;
  
}

  .section3 {
    min-height: 550px;
    height: 0;
    width: 100%;
    padding: 80px 0 0 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  /* Projects */

.section4 .four .projects {
  position: relative;
  height: 100vh;
  width: 100%;
  z-index: 10;
  overflow: hidden;
}

.section4 .four .projects .bg {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  z-index: -1;
}
.section4 .four .projects .bg::before {
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.section4 .four .projects .bg video {
  width: 100%;
  height: 100vh;
  object-fit: cover;
  position: relative;
}

.section4 .four .projects .first .about {
  display: flex;
  justify-content: center;
  margin-top: 15px;
}

.section4 .four .projects .first-project .first {
  width: calc(100% / 3 - 20px); /* Ajuste o valor conforme necessário */
  margin: 0px auto; /* Reduzi o valor do margin */
  padding: 10px;
  border-radius: 15px;
  border: 1px solid #8f76f3;
  background-color: #00000021;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.section4 .four .projects .first .about h4 {
  margin: 0;
  padding: 1px;
  font-size: 15px;
  border: 1px solid #edecec;
  border-radius: 20px;
  opacity: 1;
  transition: all ease 0.5s;
}
.first span {
  font-weight: 100;
  color: #8f76f3;
}


.section4 .four .projects .first:hover .about h4 {
  opacity: 0.8;
  transform: translateY(-5px);
}

.section4 .four .projects .first {
  width: 80%;
  margin: 100px auto;
  padding: 20px;
  border-radius: 15px;
  border: 2px solid #8f76f3;
  background-color: rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.section4 .four .projects .first h1 {
  font-size: 24px;
  margin-bottom: 10px;
  color: #ffffff;
}

.section4 .four .projects .first-project {
  display: block;
}

.section4 .four .projects .first-project .first {
  width: 80%;
  margin: 30px auto;
  padding: 10px;
  border-radius: 15px;
  border: 1px solid #8f76f3;
  background-color: #00000021;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.section4 .four .projects .first-project .first:hover {
  border: none;
  backdrop-filter: blur(10px);
  background-color: #9e8aee9f;
}

.section4 .four .projects .first-project .first .about {
  display: flex;
}

.section4 .four .projects .first-project .first .about h4 {
  margin: 0 5px;
  border: 1px solid #8f76f3;
  padding: 7px 10px;
  border-radius: 30px;
  opacity: 1;
  transform: translateY(-10px);
  transition: all ease 1s;
}

.section4 .four .projects .first-project .first:hover h4 {
  opacity: 9;
  transform: translateY(-5px);
}

.section1 .one .text-content {
  height: 50vh;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: #ffff;
}



/* Projects */

.a-social {
  width: 80px;
  height: 80px;
}

/* Social media mobile */
}

/* alternatives media query */

@media only screen and (min-width: 500px) and (max-width: 800px) {
  .section3 .right h1 {
    font-size: 30px;
    text-align: center;
  }
}

/* alternatives media query */
